polybori::CCacheTypes Class Reference

`#include <CCacheManagement.h>`

## Classes

struct | binary_cache_tag
struct | block_degree
struct | contained_deg2
struct | contained_variables
struct | degree
struct | divide
struct | divisorsof
struct | divisorsof_fixedpath
struct | exist_abstract
struct | graded_part
struct | has_factor_x
struct | has_factor_x_plus_one
struct | has_factor_x_plus_y
struct | include_divisors
struct | interpolate
struct | interpolate_smallest_lex
struct | is_rewriteable
struct | lead_tag
struct | left_equals_right_x_branch_and_r_has_fac_x
struct | lex_lead
struct | ll_red_nf
struct | map_every_x_to_x_plus_one
struct | mapping
struct | minimal_elements
struct | minimal_mod
struct | mod_varset
struct | multiplesof
struct | multiply_recursive
struct | no_cache
struct | no_cache_tag
struct | plug_1
struct | ternary_cache_tag
struct | testwise_ternary
struct | unary_cache_tag
struct | union_xor
struct | used_variables
struct | zeros

## Public Types

typedef mod_varset | mod_deg2_set
typedef mod_varset | mod_mon_set
typedef lead_tag< dlex_tag > | dlex_lead
typedef lead_tag< dp_asc_tag > | dp_asc_lead
typedef lead_tag< block_dlex_tag > | block_dlex_lead
typedef lead_tag < block_dp_asc_tag > | block_dp_asc_lead

## Member Typedef Documentation

typedef lead_tag<block_dlex_tag> polybori::CCacheTypes::block_dlex_lead

typedef lead_tag<block_dp_asc_tag> polybori::CCacheTypes::block_dp_asc_lead

typedef lead_tag<dlex_tag> polybori::CCacheTypes::dlex_lead

typedef lead_tag<dp_asc_tag> polybori::CCacheTypes::dp_asc_lead

typedef mod_varset polybori::CCacheTypes::mod_deg2_set

typedef mod_varset polybori::CCacheTypes::mod_mon_set

The documentation for this class was generated from the following file:

- CCacheManagement.h